Grasshopper

algorithmic modeling for Rhino

Hi Jon,

In a previous version of the ggrobottokaramba plugin you had provided a component that bakes the output of a Karamba model directly into Robot.
In the most recent versions of the ggrobot and ggkaramba plugins, this component is not available.
How can this be done now?

I tried reconstructing the beam grid of my Shell into ggbeam components but that does not transfer well into Robot and gives me an error
                             1. Solution exception:Request for generated beam has coincident node points and is ignored at node 24 12.3269357755017,85.1332956591713,7.25152918466679

 

Additionally, I tried using ggKarambaIFC but once I put in the model output from Karamba assemble I get this error!!
                             1. Solution exception:Method not found: 'System.String Karamba.Materials.FemMaterial.get_name()'.

Finally, I am unsure as to how I can use the ggbake component. What does it connect to?

Thank you!
Habiba

Views: 54

Attachments:

Replies to This Discussion

Hi Habiba,

First of all, I apologize for not replying to your emails yet.  It's a hectic close to the year.  Posting here is good though as it means others in the future that might encounter a similar problem will also find it.

If the component is not displaying, it's probably because it can't detect the installed location of Karamba.  Can you confirm the version you have and the location?  I check a few spots, for me recently it has been in the folder C:\Program Files\Rhinoceros 5.0 (64-bit)\Plug-ins (search for Karamba.gha)

I will email you the latest Robot installer to double check.

For the coincident points, double check your Rhino model units.  Karamba assumes metres (when in SI mode) regardless, but my plugin scales based on your units.  If you have a millimetre document open, this will trigger the behaviour you see.

The ggKarambaIFC error means the version of my plugin is not compatible with the version of Karamba installed.  I do provide special files if you are running say the latest "nightly builds".

Hope this helps,

Jon

 

Hi Jon,
No worries at all! I am sorry for chasing you...

I have Karamba version 1.2.2 and it is in the Plug-ins file and the ggKarambaIFC component (and the SA gg robot components) shows, but not KarambatoRobot :/


I have downloaded the installer you sent me and it seems to be exactly as the one I had already as there were no changes when I loaded Grasshopper. 

My model was in meters and 2 out of the 3 beams are perfectly transferred, its just the 3rd one and I am not sure how I can identify the node the error is referring to... I think it would be better to do it straight from karamba where it already recognizes all members constituting my grid.

I think it may be an issue of version incompatibility. 
I will email you my (in progress) model maybe it'd be easier to spot the problem :)

thank youu

RSS

About

Translate

Search

Photos

  • Add Photos
  • View All

© 2018   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service